const path = require('path');
const webpack = require("webpack");

const BundleAnalyzerPlugin = require('webpack-bundle-analyzer').BundleAnalyzerPlugin;
const { VueLoaderPlugin } = require('vue-loader')


module.exports = {
  entry: { main: './src/plugin.js' },
  output: {
    path: path.resolve(__dirname, 'dist'),
    filename: 'vue-form-ui.js',
    libraryTarget: 'umd',
    library: 'vue-form-ui',
    umdNamedDefine: true
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        include: path.resolve(__dirname, 'src'),
        use: {
          loader: "babel-loader"
        }
      },
      {
        test: /\.vue$/,
        include: path.resolve(__dirname, 'src'),
        use: {
          loader: "vue-loader"
        }
      },
      {
        test: /\.css$/,
        include: path.resolve(__dirname, 'src'),
        use: ["vue-style-loader", "css-loader"]
      }
    ]
  },
  externals: {
    //moment: 'moment',
    vue: 'vue'
  },
  plugins: [
    new VueLoaderPlugin(),
    new webpack.IgnorePlugin(/^\.\/locale$/, /moment$/),
    //new BundleAnalyzerPlugin(),
  ]
};
